function()
	if UnitExists("target") and UnitName("target"):match("Dargul") then
		local name,_,_,startTimeMS,endTimeMS,= UnitCastingInfo("target")
		if name == "Molten Crash" then
			local name,_,_,_,_,expirationTime = UnitBuff("player", "Shield of the Righteous")
			expirationTime = expirationTime * 1000
			local time = GetTime() * 1000
			if endTimeMS > expirationTime then
				return true
			end
		end
	end
end